//
//  datePickerViewController.m
//  datePicker
//
//  Created by eBookFrenzy.com on 5/5/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "datePickerViewController.h"

@implementation datePickerViewController
@synthesize datePicker, dateLabel;

-(void)getSelection
{
    NSLocale *usLocale = [[[NSLocale alloc]
                           initWithLocaleIdentifier:@"en_US"] autorelease];
    
    NSDate *pickerDate = [datePicker date];
    NSString *selectionString = [[NSString alloc] 
                                 initWithFormat:@"%@",
                                 [pickerDate descriptionWithLocale:usLocale]];
    dateLabel.text = selectionString;
    [selectionString release];
}

- (void)dealloc
{
    [dateLabel release];
    [datePicker release];

    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    datePicker = nil;
    dateLabel = nil;

}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return YES;
}

@end
