//
//  iAdAppViewController.m
//  iAdApp
//
//  Created by eBookFrenzy.com on 4/16/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "iAdAppViewController.h"

@implementation iAdAppViewController
@synthesize tableView;

- (void)dealloc
{
    [bannerView release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    bannerView = [[ADBannerView alloc] initWithFrame:CGRectZero];
    bannerView.requiredContentSizeIdentifiers = [NSSet setWithObjects: 
                                                 ADBannerContentSizeIdentifierPortrait,	
                                                 ADBannerContentSizeIdentifierLandscape, nil];
    bannerView.delegate = self;
    [super viewDidLoad];
}

- (void)bannerViewDidLoadAd:(ADBannerView *)banner
{
    tableView.tableHeaderView = bannerView;
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    bannerView = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    if (UIInterfaceOrientationIsLandscape(interfaceOrientation))
        bannerView.currentContentSizeIdentifier =
        ADBannerContentSizeIdentifierLandscape;
    else
        bannerView.currentContentSizeIdentifier =
        ADBannerContentSizeIdentifierPortrait;

    return YES;
}

@end
