//
//  layoutViewController.m
//  layout
//
//  Created by eBookFrenzy.com on 4/11/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "layoutViewController.h"

@implementation layoutViewController
@synthesize firstButton;
@synthesize secondButton;

- (void)willAnimateRotationToInterfaceOrientation:
(UIInterfaceOrientation)toInterfaceOrientation 
                                         duration:(NSTimeInterval)duration
{
    if (toInterfaceOrientation == UIInterfaceOrientationLandscapeLeft ||
        toInterfaceOrientation == UIInterfaceOrientationLandscapeRight)
    {
        firstButton.frame = CGRectMake(20, 20, 482, 708);
        secondButton.frame = CGRectMake(522, 20, 482, 708);
    }
    else
    {
        firstButton.frame = CGRectMake(20, 20, 728, 472);
        secondButton.frame = CGRectMake(20, 512, 728, 472);
    }
}

- (void)dealloc
{
    [firstButton release];
    [secondButton release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    self.firstButton = nil;
    self.secondButton = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return YES;
}

@end
