//
//  touchMotionViewController.m
//  touchMotion
//
//  Created by eBookFrenzy.com on 5/5/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "touchMotionViewController.h"

@implementation touchMotionViewController
@synthesize xCoord, yCoord, startPoint;

- (void) touchesBegan:(NSSet *)touches 
            withEvent:(UIEvent *)event {
    UITouch *theTouch = [touches anyObject];
    startPoint = [theTouch locationInView:self.view];
    CGFloat x = startPoint.x;
    CGFloat y = startPoint.y;
    xCoord.text = [NSString stringWithFormat:@"x = %f", x];
    yCoord.text = [NSString stringWithFormat:@"y = %f", y];
}

- (void) touchesMoved:(NSSet *)touches 
            withEvent:(UIEvent *)event {
    UITouch *theTouch = [touches anyObject];
    CGPoint touchLocation = 
    [theTouch locationInView:self.view];
    CGFloat x = touchLocation.x;
    CGFloat y = touchLocation.y;
    xCoord.text = [NSString stringWithFormat:@"x = %f", x];
    yCoord.text = [NSString stringWithFormat:@"y = %f", y];
}

- (void) touchesEnded:(NSSet *)touches 
            withEvent:(UIEvent *)event {
    UITouch *theTouch = [touches anyObject];
    CGPoint endPoint = [theTouch locationInView:self.view];
    xCoord.text = [NSString stringWithFormat:
                   @"start = %f, %f", startPoint.x, startPoint.y];
    yCoord.text = [NSString stringWithFormat:
                   @"end = %f, %f", endPoint.x, endPoint.y];
}

- (void)dealloc
{
    [xCoord release];
    [yCoord release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    xCoord = nil;
    yCoord = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return YES;
}

@end
