//
//  UnitConverterViewController.m
//  UnitConverter
//
//  Created by eBookFrenzy.com on 4/6/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "UnitConverterViewController.h"

@implementation UnitConverterViewController
@synthesize resultLabel, tempText;

-(void) convertTemp:(id)sender
{
    double farenheit = [tempText.text doubleValue];
    double celsius = (farenheit - 32) / 1.8;
    
    NSString *resultString = [[NSString alloc] 
                              initWithFormat: @"Celsius %f", celsius];
    resultLabel.text = resultString;
    [resultString release];
}

- (void)dealloc
{
    [resultLabel release];
    [tempText release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    self.resultLabel = nil;
    self.tempText = nil;

}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return YES;
}

@end
